#
# == Class: mcoconfig::activemq::params
#
# Parameters for ActiveMQ.
#
# === Authors
#
# David McNicol <david@mcnicks.org>
#
# === Copyright
#
# Copyright 2014 David McNicol
#

class mcoconfig::activemq::params () {

  $activemq_user = 'activemq'
  $activemq_etc_dir = '/etc/activemq'
  $puppet_ca_dir = '/var/lib/puppet/ssl'

  case $::osfamily {
    'Debian', 'Ubuntu': {
      $activemq_config_dir = '/etc/activemq/instances-available/main'
      $activemq_data_dir = '/var/lib/activemq/main/data'
      $java_home = '/usr/lib/jvm/default-java'
      $os_release = $::lsbdistcodename
    }
    'RedHat': {
      $activemq_config_dir = '/etc/activemq'
      $activemq_data_dir = '/var/cache/activemq/data'
      $java_home = '/usr/lib/jvm/jre'
      $os_release = $::operatingsystemmajrelease
    }
    default: {
      fail("OS ${::osfamily} not supported by ${module_name}")
    }
  }
}
