#
# == Class: mcoconfig::params
#
# Shared parameters.
#
# === Authors
#
# David McNicol <david@mcnicks.org>
#
# === Copyright
#
# Copyright 2014 David McNicol
#

class mcoconfig::params () {

  $filestore_root = '/etc/puppet/mco_files'
  $filestore_shared = 'shared'
  $filestore_clients = 'clients'
  $filestore_private = 'private'
  $puppet_ca_dir = '/var/lib/puppet/ssl'

  case $::osfamily {
    'Debian', 'Ubuntu': {
      $puppet_service_name = 'apache2'
    }
    'RedHat': {
      $puppet_service_name = 'puppetmaster'
    }
    default: {
      fail("OS ${::osfamily} not supported by ${module_name}")
    }
  }
}
