#
# == Class: mcoconfig::user
#
# Configures a user to be an MCollective client.
#
# === Parameters
#
# [*username*]
#   The username to configure as the client.
#
# [*homedir*]
#   The home directory of the user (defaults to /home/<user>).
#
# === Examples
#
#  mcoconfig::user { "jbloggs": }
#  mcoconfig::user { "jdoe": }
#
# === Authors
#
# David McNicol <david@mcnicks.org>
#
# === Copyright
#
# Copyright 2014 David McNicol
#

define mcoconfig::user (
  $username = $title,
  $homedir = "/home/${username}"
) {

  # Configure the user.

  mcollective::user { $username:
    certificate => "puppet:///mco_clients/${username}_${::fqdn}.pem",
    private_key => "puppet:///mco_private/${username}_${::fqdn}.pem",
    homedir     => $homedir,
    callerid    => "${username}_${::fqdn}"
  }
}
